model Ex16_1
//Example 16.1
//Forging in Plain Strain
//Page No. 574
parameter Real sigma(unit = "Mpa") = 6.9"Uniaxial flow stress";
parameter Real mu = 0.25;
parameter Real a(unit = "mm") = 50;
parameter Real b(unit = "mm") = 6;
parameter Real h(unit = "mm") = 6.25"height";
parameter Real x(unit = "mm") = 0"distance";
Real p_max(unit = "Mpa")"Maximum pressure";
Real x1[9](unit = "mm") "distance";
Real p[9](unit = "Mpa")"pressure";
Real t_i[9](unit = "Mpa")"stress";
Real k(unit = "Mpa")"yield stress in shear" ;
Real p_max1(unit = "Mpa")"Maximum pressure";
Real X1(unit = "mm")"distance";
Real p1(unit = "Mpa")"Mean forging pressure";
equation
p_max = 2 * sigma * exp(2*mu*(a-x)/h)/sqrt(3);
for i in 1:9 loop
  x1[i] =(i-1) * 6.25;
  p[i] = 2 * sigma * exp(2*mu*(a-x1[i])/h)/(sqrt(3));             
  t_i[i] = mu * p[i];
end for;
k=sigma/sqrt(3);
p_max1=2*sigma*((a-x)/h+1)/sqrt(3);
X1=a-h/(2*mu)*log(1/(2*mu));
p1=2*sigma*(a/(2*h)+1)/sqrt(3);
end Ex16_1;



